Mirror and offset bug?
- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Hi,
I ran into a weird behaviour trying to offset a closed loop. The profile is symmetric around the two sketch axis and consists of lines, arcs and splines in one quarter of the coordinate system which then get mirrored around the two axis. If I try to offset the profile the usual way it always offsets to the outside never to the inside no matter what direction point I choose.
profileOutline = sketchOutline.profiles.item(0) for loop in profileOutline.profileLoops: if loop.isOuter: loopOutline = loop break curvesProfile=adsk.core.ObjectCollection.create() for curve in loopOutline.profileCurves: curvesProfile.add(curve.sketchEntity) #Origin is in the profile, other points give the same result dirPoint = adsk.core.Point3D.create(0,0,0) sketchOutline.offset(curvesProfile,dirPoint,2.0)
I guess it has something to do with an internal Fusion bug combining offset and mirroring. Through the UI I cannot chain select the hole profile, only the part which I created by hand but not the mirrors thereof.
I tried a workaround by offsetting each curve segment by itself. The offset is in the right direction but the offsetted curves are not joined proper. Either they intersect or there are small open segments so I dont get a closed loop. Is there any fix planned for this problem or is there a known workaround so one gets a closed curve from the offset?
Cheers,
Hannes